Skip to main content
`Ctrl`+`K`

# PetscLogHandlerDestroy

Destroy a `PetscLogHandler`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerDestroy(PetscLogHandler *handler)

Logically collective

## Input Parameter

- handler - handler to be destroyed

## See Also

Profiling, `PetscLogHandler`, `PetscLogHandlerCreate()`

## Level

developer

## Location

src/sys/logging/handler/interface/loghandler.c

## Implementations

PetscLogHandlerDestroy_Default() in src/sys/logging/handler/impls/default/logdefault.c
PetscLogHandlerDestroy_Legacy() in src/sys/logging/handler/impls/legacy/loglegacy.c
PetscLogHandlerDestroy_MPE() in src/sys/logging/handler/impls/mpe/logmpe.c
PetscLogHandlerDestroy_Nested() in src/sys/logging/handler/impls/nested/lognested.c
PetscLogHandlerDestroy_Perfstubs() in src/sys/logging/handler/impls/perfstubs/logperfstubs.c
PetscLogHandlerDestroy_Trace() in src/sys/logging/handler/impls/trace/logtrace.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages